PETSc version 3.15.5
Fix/Edit manual page

# TSMonitorLGSetVariableNames

Sets the name of each component in the solution vector so that it may be displayed in the plot

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSMonitorLGSetVariableNames(TS ts,const char * const *names)

Collective on TS

### Input Parameters

| ts | - the TS context
| names | - the names of the components, final string must be NULL

### Notes

If the TS object does not have a TSMonitorLGCtx associated with it then this function is ignored

### See Also

TSMonitorSet(), TSMonitorDefault(), VecView(), TSMonitorLGSetDisplayVariables(), TSMonitorLGCtxSetVariableNames()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/tutorials/extchem.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages